Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Sohn2010-10-13 13:26:33 +0000
committerMatthias Sohn2010-10-13 13:33:46 +0000
commitf8eb7e16aab4f9a63860d58e1ff7692160dcfb9a (patch)
treeafbfd3a6647bb169459403837d3b5f61b73d4478 /pom.xml
parentfb1e500adc011dfaad1a6e68b23a9b254a77bf43 (diff)
downloadjgit-f8eb7e16aab4f9a63860d58e1ff7692160dcfb9a.tar.gz
jgit-f8eb7e16aab4f9a63860d58e1ff7692160dcfb9a.tar.xz
jgit-f8eb7e16aab4f9a63860d58e1ff7692160dcfb9a.zip
Generate correct version for jgit source bundle
The maven 2 build for jgit source bundle didn't create a correct OSGi version string, instead of org.eclipse.jgit.source_0.10.0.<timestamp> the generated OSGi version was org.eclipse.jgit.source_0.10.0.SNAPSHOT This caused trouble when trying to install it from p2 repository. Bug: 327616 Change-Id: Ic27c763ae9a4bcbb5bd6ed9562cd98bb4da3386b Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
Diffstat (limited to 'pom.xml')
-rw-r--r--pom.xml43
1 files changed, 8 insertions, 35 deletions
diff --git a/pom.xml b/pom.xml
index 32ffaee65a..00865fa809 100644
--- a/pom.xml
+++ b/pom.xml
@@ -191,10 +191,10 @@
<version>2.1.1</version>
</plugin>
- <plugin>
+ <plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-javadoc-plugin</artifactId>
- <version>2.7</version>
+ <version>2.7</version>
</plugin>
<plugin>
@@ -223,12 +223,12 @@
<id>translate-qualifier</id>
<phase>generate-resources</phase>
<configuration>
- <tasks unless="${translate-qualifier}">
- <copy file="META-INF/MANIFEST.MF" tofile="${bundle-manifest}" overwrite="true"/>
- <replace file="${bundle-manifest}">
- <replacefilter token=".qualifier" value=".${maven.build.timestamp}"/>
- </replace>
- </tasks>
+ <tasks unless="${translate-qualifier}">
+ <copy file="META-INF/MANIFEST.MF" tofile="${bundle-manifest}" overwrite="true"/>
+ <replace file="${bundle-manifest}">
+ <replacefilter token=".qualifier" value=".${maven.build.timestamp}"/>
+ </replace>
+ </tasks>
</configuration>
<goals>
<goal>run</goal>
@@ -237,33 +237,6 @@
</executions>
</plugin>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-source-plugin</artifactId>
- <inherited>true</inherited>
- <executions>
- <execution>
- <id>attach-sources</id>
- <phase>process-classes</phase>
- <goals>
- <goal>jar</goal>
- </goals>
- <configuration>
- <archive>
- <manifestEntries>
- <Bundle-ManifestVersion>2</Bundle-ManifestVersion>
- <Bundle-Name>${project.name} - Sources</Bundle-Name>
- <Bundle-SymbolicName>${project.artifactId}.source;singleton:=true</Bundle-SymbolicName>
- <Bundle-Vendor>Eclipse.org - JGit</Bundle-Vendor>
- <Bundle-Version>${parsedVersion.osgiVersion}</Bundle-Version>
- <Eclipse-SourceBundle>${project.artifactId};version="${parsedVersion.osgiVersion}";roots:="."</Eclipse-SourceBundle>
- </manifestEntries>
- </archive>
- </configuration>
- </execution>
- </executions>
- </plugin>
-
<!-- Build helper maven plugin sets the parsedVersion.osgiVersion property -->
<plugin>
<groupId>org.codehaus.mojo</groupId>

Back to the top